package intrinsic.mx.events;

public class ListEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public int columnIndex;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemRenderer;
	public String reason;
	public int rowIndex;

	/** Constants */
	public static final String ITEM_ROLL_OVER = "item_roll_over";
	public static final String ITEM_CLICK = "item_click";
	public static final String ITEM_DOUBLE_CLICK = "item_double_click";
	public static final String VERSION = "version";
	public static final String ITEM_FOCUS_IN = "item_focus_in";
	public static final String ITEM_EDIT_BEGINNING = "item_edit_beginning";
	public static final String ITEM_EDIT_BEGIN = "item_edit_begin";
	public static final String ITEM_FOCUS_OUT = "item_focus_out";
	public static final String CHANGE = "change";
	public static final String ITEM_ROLL_OUT = "item_roll_out";
	public static final String ITEM_EDIT_END = "item_edit_end";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ListEvent() {
}

public ListEvent(String arg0) {
}

public ListEvent(String arg0, boolean arg1) {
}

public ListEvent(String arg0, boolean arg1, boolean arg2) {
}

public ListEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public ListEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}

public ListEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5) {
}

public ListEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, String arg5, intrinsic.mx.controls.listClasses.IListItemRenderer arg6) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
